## com.google.common.base
Class Joiner.MapJoiner

    java.lang.Object
      com.google.common.base.Joiner.MapJoiner

Enclosing class:
  Joiner

    public static final class Joiner.MapJoiner

extends Object

An object that joins map entries in the same manner as `Joiner` joins iterables and arrays. Like `Joiner`, it is thread-safe and immutable.

In addition to operating on `Map` instances, `MapJoiner` can operate on `Multimap` entries in two distinct modes:

- To output a separate entry for each key-value pair, pass `multimap.entries()` to a `MapJoiner` method that accepts entries as input, and receive output of the form `key1=A&key1=B&key2=C`.
- To output a single entry for each key, pass `multimap.asMap()` to a `MapJoiner` method that accepts a map as input, and receive output of the form `key1=[A, B]&key2=C`.

Since:
  2.0 (imported from Google Collections Library)

Method Summary

`

`<A extends Appendable,I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> A`

`

`appendTo(A appendable, I entries)`
Deprecated. use `appendTo(Appendable, Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

`

`<A extends Appendable> A`

`

`appendTo(A appendable, Iterable<? extends Map.Entry<?,?>> entries)`
Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.

`

`<A extends Appendable> A`

`

`appendTo(A appendable, Iterator<? extends Map.Entry<?,?>> parts)`
Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.

`

`<A extends Appendable> A`

`

`appendTo(A appendable, Map<?,?> map)`
Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `appendable`.

`

`<I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> StringBuilder`

`

`appendTo(StringBuilder builder, I entries)`
Deprecated. use `appendTo(StringBuilder, Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

`StringBuilder` `appendTo(StringBuilder builder, Iterable<? extends Map.Entry<?,?>> entries)` Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`.
`StringBuilder` `appendTo(StringBuilder builder, Iterator<? extends Map.Entry<?,?>> entries)` Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`.
`StringBuilder` `appendTo(StringBuilder builder, Map<?,?> map)` Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `builder`.

`

`<I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> String`

`

`join(I entries)`
Deprecated. use `join(Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

`String` `join(Iterable<? extends Map.Entry<?,?>> entries)` Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.
`String` `join(Iterator<? extends Map.Entry<?,?>> entries)` Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.
`String` `join(Map<?,?> map)` Returns a string containing the string representation of each entry of `map`, using the previously configured separator and key-value separator.
`Joiner.MapJoiner` `useForNull(String nullText)` Returns a map joiner with the same behavior as this one, except automatically substituting `nullText` for any provided null keys or values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### appendTo

    public <A extends Appendable> A appendTo(A appendable,
                                             Map<?,?> map)
                                  throws IOException

  Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `appendable`.

  Throws:
    `IOException`

### appendTo

    public StringBuilder appendTo(StringBuilder builder,
                                  Map<?,?> map)

  Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `builder`. Identical to `appendTo(Appendable, Map)`, except that it does not throw `IOException`.

### join

    public String join(Map<?,?> map)

  Returns a string containing the string representation of each entry of `map`, using the previously configured separator and key-value separator.

### appendTo

    @Beta
    @Deprecated
    public <A extends Appendable,I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> A appendTo(A appendable,
                                                                                                                                                      I entries)
                                  throws IOException

  Deprecated. use `appendTo(Appendable, Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

  Deprecated.

  Throws:
    `IOException`
  Since:
    11.0

### appendTo

    @Beta
    public <A extends Appendable> A appendTo(A appendable,
                                                  Iterable<? extends Map.Entry<?,?>> entries)
                                  throws IOException

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.

  Throws:
    `IOException`
  Since:
    10.0

### appendTo

    @Beta
    public <A extends Appendable> A appendTo(A appendable,
                                                  Iterator<? extends Map.Entry<?,?>> parts)
                                  throws IOException

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.

  Throws:
    `IOException`
  Since:
    11.0

### appendTo

    @Beta
    @Deprecated
    public <I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> StringBuilder appendTo(StringBuilder builder,
                                                                                                                                             I entries)
                           throws IOException

  Deprecated. use `appendTo(StringBuilder, Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

  Deprecated.

  Throws:
    `IOException`
  Since:
    11.0

### appendTo

    @Beta
    public StringBuilder appendTo(StringBuilder builder,
                                       Iterable<? extends Map.Entry<?,?>> entries)

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`. Identical to `appendTo(Appendable, Iterable)`, except that it does not throw `IOException`.

  Since:
    10.0

### appendTo

    @Beta
    public StringBuilder appendTo(StringBuilder builder,
                                       Iterator<? extends Map.Entry<?,?>> entries)

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`. Identical to `appendTo(Appendable, Iterable)`, except that it does not throw `IOException`.

  Since:
    11.0

### join

    @Beta
    @Deprecated
    public <I extends Object & Iterable<? extends Map.Entry<?,?>> & Iterator<? extends Map.Entry<?,?>>> String join(I entries)
                throws IOException

  Deprecated. use `join(Iterator)` by casting `entries` to `Iterator<? extends Entry<?, ?>>`, or better yet, by implementing only `Iterator` and not `Iterable`. This method is scheduled for deletion in June 2013.

  Deprecated.

  Throws:
    `IOException`
  Since:
    11.0

### join

    @Beta
    public String join(Iterable<? extends Map.Entry<?,?>> entries)

  Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.

  Since:
    10.0

### join

    @Beta
    public String join(Iterator<? extends Map.Entry<?,?>> entries)

  Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.

  Since:
    11.0

### useForNull

    @CheckReturnValue
    public Joiner.MapJoiner useForNull(String nullText)

  Returns a map joiner with the same behavior as this one, except automatically substituting `nullText` for any provided null keys or values.

Copyright © 2010-2012. All Rights Reserved.